pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/mk/bulk Removed CVS_USER, as announced on pkgsrc-bulk.
details: https://anonhg.NetBSD.org/pkgsrc/rev/06caa15122db
branches: trunk
changeset: 504017:06caa15122db
user: rillig <rillig%pkgsrc.org@localhost>
date: Sat Dec 03 01:00:37 2005 +0000
description:
Removed CVS_USER, as announced on pkgsrc-bulk.
See <http://mail-index.netbsd.org/pkgsrc-bulk/2005/11/24/0003.html>.
diffstat:
mk/bulk/build.conf-example | 16 ++--------------
mk/bulk/environment.txt | 3 +--
mk/bulk/post-build-conf | 16 ++++++++--------
mk/bulk/pre-build | 29 ++---------------------------
4 files changed, 13 insertions(+), 51 deletions(-)
diffs (156 lines):
diff -r 558ec82d7147 -r 06caa15122db mk/bulk/build.conf-example
--- a/mk/bulk/build.conf-example Sat Dec 03 00:54:11 2005 +0000
+++ b/mk/bulk/build.conf-example Sat Dec 03 01:00:37 2005 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: build.conf-example,v 1.31 2005/11/18 12:11:51 rillig Exp $
+# $NetBSD: build.conf-example,v 1.32 2005/12/03 01:00:37 rillig Exp $
#
# This is an example configuration file for pkgsrc bulk builds.
# Actually it's a shell script that is sourced in by the pre-build,
@@ -24,18 +24,6 @@
#
-# Keeping pkgsrc up-to-date
-#
-
-# As which user to run "cvs updates". Leave empty for no update.
-CVS_USER="yourlogin"
-
-# Flags to pass to 'cvs update', e.g. to get a certain branch
-#CVS_FLAGS="-rnetbsd-2005Q1"
-#CVS_FLAGS="-A" # pkgsrc-current
-
-
-#
# Getting distfiles
#
@@ -98,7 +86,7 @@
#SIGN_AS=username%NetBSD.org@localhost
# Destination for packages and rsync options
-RSYNC_DST=$CVS_USER%ftp.NetBSD.org@localhost:/pub/NetBSD/packages/pkgsrc-200xQy/NetBSD-a.b.c/i386
+RSYNC_DST=ftp.NetBSD.org:/pub/NetBSD/packages/pkgsrc-200xQy/NetBSD-a.b.c/i386
RSYNC_OPTS='-e ssh'
###########################################################################
diff -r 558ec82d7147 -r 06caa15122db mk/bulk/environment.txt
--- a/mk/bulk/environment.txt Sat Dec 03 00:54:11 2005 +0000
+++ b/mk/bulk/environment.txt Sat Dec 03 01:00:37 2005 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: environment.txt,v 1.3 2005/11/07 18:26:22 tv Exp $
+# $NetBSD: environment.txt,v 1.4 2005/12/03 01:00:37 rillig Exp $
#
===> Environment variables used by the bulk build scripts
@@ -57,7 +57,6 @@
PRUNELINKS: Boolean := yes
UPDATE_VULNERABILITY_LIST: Boolean := yes
USR_PKGSRC: Pathname
- CVS_USER: Loginname
=> User-defined in mk.conf
diff -r 558ec82d7147 -r 06caa15122db mk/bulk/post-build-conf
--- a/mk/bulk/post-build-conf Sat Dec 03 00:54:11 2005 +0000
+++ b/mk/bulk/post-build-conf Sat Dec 03 01:00:37 2005 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: post-build-conf,v 1.8 2005/11/18 12:27:26 rillig Exp $
+# $NetBSD: post-build-conf,v 1.9 2005/12/03 01:00:37 rillig Exp $
#
# This file is included after the build.conf file by the "build" and
@@ -34,8 +34,6 @@
show_config_vars() {
pbc_section "System information" \
osrev arch BULK_BUILD_CONF USR_PKGSRC MAKECONF
- pbc_section "Keeping pkgsrc up-to-date" \
- CVS_USER CVS_FLAGS
pbc_section "Getting distfiles" \
PRUNEDISTFILES ftp_proxy http_proxy
pbc_section "Building the packages" \
@@ -50,7 +48,6 @@
# usage: export_config_vars
export_config_vars() {
export osrev arch BULK_BUILD_CONF USR_PKGSRC
- export CVS_USER CVS_FLAGS
export PRUNEDISTFILES ftp_proxy http_proxy
export PKGLIST NICE_LEVEL ADMIN ADMINSIG
export UPDATE_VULNERABILITY_LIST PRUNEPACKAGES MKSUMS SIGN_AS
@@ -63,7 +60,7 @@
# usage: pbc_die error-message
pbc_die() {
exec 1>&2
- printf "error: %s\\n" "$1"
+ printf "error: %s\\n" "$@"
printf " Please check your bulk build configuration file:\\n"
case ${BULK_BUILD_CONF+set} in
"set") printf " %s\\n" "${BULK_BUILD_CONF}"
@@ -140,9 +137,12 @@
"set") pbc_checkexistingfile MAKECONF;;
esac
- # section "Keeping pkgsrc up-to-date"
- # no checks for CVS_USER
- # no checks for CVS_FLAGS
+ # LEGACY: remove after 2006Q1
+ case ${CVS_USER-""}${CVS_FLAGS+set} in
+ ?*) pbc_die "CVS_USER and CVS_FLAGS must not be set." \
+ "See http://mail-index.netbsd.org/pkgsrc-bulk/2005/11/20/0013.html" \
+ "and http://mail-index.netbsd.org/pkgsrc-bulk/2005/11/24/0003.html";;
+ esac
# section "Getting distfiles"
case ${PRUNEDISTFILES+set} in
diff -r 558ec82d7147 -r 06caa15122db mk/bulk/pre-build
--- a/mk/bulk/pre-build Sat Dec 03 00:54:11 2005 +0000
+++ b/mk/bulk/pre-build Sat Dec 03 01:00:37 2005 +0000
@@ -1,5 +1,5 @@
#!/bin/sh
-# $NetBSD: pre-build,v 1.53 2005/11/30 17:31:06 joerg Exp $
+# $NetBSD: pre-build,v 1.54 2005/12/03 01:00:37 rillig Exp $
#
# Clean up system to be ready for bulk pkg build
#
@@ -8,7 +8,7 @@
#set -v # Debug
-# Pull in USR_PKGSRC, CVS_USER:
+# Pull in USR_PKGSRC:
if [ -f "$BULK_BUILD_CONF" ]; then
. "$BULK_BUILD_CONF"
else
@@ -166,31 +166,6 @@
rm -f "${BULKFILESDIR}/$BROKENF" "${BULKFILESDIR}/$BRKWRKLOG" "${BULKFILESDIR}/$BLDLOG" "$STARTFILE"
-
-
-#
-# Install cvs package and do a cvs update here
-#
-if [ "$CVS_USER" != "" ]; then
- if [ ! -f /usr/bin/cvs ]; then
- echo "Installing required cvs pkgs for CVS update"
- ( cd ${USR_PKGSRC}/devel/cvs ; ${BMAKE} bulk-install )
- fi
- if [ ! -f /usr/bin/ssh ]; then
- echo "Installing required ssh pkgs for CVS update"
- ( cd ${USR_PKGSRC}/security/ssh ; ${BMAKE} bulk-install )
- fi
- echo "Performing CVS update - this will take some time"
- su - ${CVS_USER} -c "stty sane ; cd ${USR_PKGSRC} ; \
- env CVS_RSH=ssh cvs -q update -Pd ${CVS_FLAGS} || exit 0"
- if [ $? != 0 ]
- then
- echo "CVS update not successful, aborting."
- exit 1
- fi
- echo "CVS update done."
-fi
-
#
# Remove old/broken distfiles and binary packages
#
Home |
Main Index |
Thread Index |
Old Index